local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- Implement a dummy TTD function if we do not get one from another module
if type(s.TimeToDie) == 'function'  then
	a.print("TimeToDie function found, not using dummy function.")
else
	a.print("No TimeToDie function found, using a dummy function.")
	s.TimeToDie = function(unit)
		return 10
	end
end

a.getHastedTickTime = function(UnhastedTickTime)
	return (UnhastedTickTime / (1 + (UnitSpellHaste("player") / 100)))
end

a.getTotalTicks = function(UnhastedTicks)
	return math.floor(UnhastedTicks * (1 + (UnitSpellHaste("player") / 100)) + 0.5)
end
